#ifndef HAUSDORFM_FORM_H
#define HAUSDORFM_FORM_H

#include <QDialog>

#include <my_image.h>
#include "funkce.h"

namespace Ui {
    class hausdorfm_form;
}

class hausdorfm_form : public QDialog {
    Q_OBJECT
public:
    hausdorfm_form(QWidget *parent = 0);
    ~hausdorfm_form();
    my_image * apply_filt(my_image * new_image);//tato funke aplykuje veskere filtry vstupni obraz --alokuje pamet
    void load_image(my_image * image);
    unsigned int Count_Number;
    bool registruj;
protected:
    void changeEvent(QEvent *e);
    my_image * img;
    Ui::hausdorfm_form *ui;
private:

public slots:
    void ChangeNumber(int);
    void Check_Change();


    void Show_image();
    void Btn_OK();
signals:
    void Form_Close();
};

#endif // HAUSDORFM_FORM_H
